{% extends "general/base.html" %}

{% block title %}
	Dashboard
{% endblock %}
{% load tz %}


{% block content %}
<div style="height: 100vh" class="container">

  <h5 class="animated fadeIn mb-3">List of notifications you created: </h5>

  <table class="table table-hover secondary">
      <thead class="secondary-color">
        <tr align="center">
          <th scope="col">Reminder date</th>
          <th scope="col">Title</th>
          <th scope="col">Location</th>
          <th scope="col">Description</th>
          <th scope="col">Is finished?</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
      {% for object in object_list %}
        {% if object.creator.email == request.user.email %}
            <tr align="center">
              <th scope="row">
                  {% if object.is_finished %}
                    <p class="text-success">Finished</p>
                  {% else %}
                    {{ object.date_of_coming }}
                  {% endif %}
              </th>
              <td>{{ object.title }}</td>
              <td>{{ object.location }}</td>
              <td>{{ object.description }}</td>

                <td>
                    {% if object.is_finished %}
                        <p class="text-success">Yes</p>
                    {% else %}
                        <p class="text-muted">No</p>
                    {% endif %}
                </td>
              <td align="center">
                  <a href="{% url 'notification_view' pk=object.id %}" class="btn btn-primary btn-sm rounded-0" title="See details"><i class="fa fa-eye"></i></a>
                  <a href="{% url 'notification_edit' pk=object.id %}" class="btn btn-success btn-sm rounded-0" title="Edit notification"><i class="fa fa-edit"></i></a>
                  <a href="{% url 'notification_remove' pk=object.id %}" class="btn btn-danger btn-sm rounded-0" title="Remove notification"><i class="fa fa-trash"></i></a>
              </td>
            </tr>
        {% endif %}
      {%endfor%}
      </tbody>
    </table>
    <div class="md-form form-lg" align="right">
      <a href="{% url 'create_notification' %}" class="btn btn-success btn-sm rounded-0" title="Create new notification">Add notification</a>
    </div>


  <hr>
  <h5 class="animated fadeIn mb-3">List of notifications, in which you act as recipient: </h5>

  <table class="table table-hover secondary">
      <thead class="secondary-color">
        <tr align="center">
          <th scope="col">Reminder date</th>
          <th scope="col">Title</th>
          <th scope="col">Location</th>
          <th scope="col">Description</th>
          <th scope="col">Is finished?</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
      {% for object in object_list %}
        {% if object.creator.email != request.user.email %}
            <tr align="center">
                {% localtime on %}
              <th scope="row">
                  {% if object.is_finished %}
                    <p class="text-success">Finished</p>
                  {% else %}
                    {{ object.date_of_coming }}
                  {% endif %}
              </th>
                {% endlocaltime %}
              <td>{{ object.title }}</td>
              <td>{{ object.location }}</td>
              <td>{{ object.description }}</td>
              <td>
                    {% if object.is_finished %}
                        <p class="text-success">Yes</p>
                    {% else %}
                        <p class="text-muted">No</p>
                    {% endif %}
                </td>
              <td align="center">
                  <a href="{% url 'notification_view' pk=object.id %}" class="btn btn-primary btn-sm rounded-0" title="See details"><i class="fa fa-eye"></i></a>
              </td>
            </tr>
        {% endif %}
      {%endfor%}
      </tbody>
    </table>

</div>
{% endblock %}
